Package org.eclipse.birt.report.model.api

# Class DefaultResourceLocator

java.lang.Object
org.eclipse.birt.report.model.api.DefaultResourceLocator

All Implemented Interfaces:
  `IResourceLocator`

public class DefaultResourceLocator extends Object implements IResourceLocator
The default implementation for interface `IResourceLocator`. This implementation is empty and does nothing to search the resource.

See Also:
  - `IResourceLocator`
  - `SessionHandle`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`BIRT_RESOURCELOCATOR_SEARCH_LOCATION`
Key for the location to search in appContext.
`static final int`
`CASCADING_STYLE_SHEET`
The type of the cascading style sheet to search.
`static final String`
`FRAGMENT_RESOURCE_HOST`
The host name of the fragments where inner resources are located.
`static final int`
`IMAGE`
The type of the images to search
`static final int`
`JAR_FILE`
The type for the jar file.
`static final int`
`LIBRARY`
The type of the libraries to search
`static final int`
`MESSAGE_FILE`
The type for the message file.
`static final int`
`OTHERS`
The other types.
`static final int`
`RESOURCE_BUNDLE`
The location mask which searches in the resource bundle.
`static final int`
`RESOURCE_DESIGN`
The location mask which searches the file relative to design.
`static final int`
`RESOURCE_FILEPATH`
The location mask which searches in the file system with path.
`static final int`
`RESOURCE_FOLDER`
The location mask which searches in the resource folder.

### Fields inherited from interface org.eclipse.birt.report.model.api.IResourceLocator

`ALL_RESOURCE`

## Constructor Summary

Constructors
Constructor
Description
`DefaultResourceLocator()`

## Method Summary

Modifier and Type
Method
Description
`URL`
`findResource(ModuleHandle moduleHandle, String fileName, int type)`
`URL`
`findResource(ModuleHandle moduleHandle, String fileName, int type, Map appContext)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### FRAGMENT_RESOURCE_HOST

static final String FRAGMENT_RESOURCE_HOST
The host name of the fragments where inner resources are located.

See Also:
  - Constant Field Values

### IMAGE

static final int IMAGE
The type of the images to search

See Also:
  - Constant Field Values

### LIBRARY

static final int LIBRARY
The type of the libraries to search

See Also:
  - Constant Field Values

### CASCADING_STYLE_SHEET

static final int CASCADING_STYLE_SHEET
The type of the cascading style sheet to search.

See Also:
  - Constant Field Values

### JAR_FILE

static final int JAR_FILE
The type for the jar file. Includes .jar type.

See Also:
  - Constant Field Values

### MESSAGE_FILE

static final int MESSAGE_FILE
The type for the message file.

See Also:
  - Constant Field Values

### OTHERS

static final int OTHERS
The other types.

See Also:
  - Constant Field Values

### BIRT_RESOURCELOCATOR_SEARCH_LOCATION

static final String BIRT_RESOURCELOCATOR_SEARCH_LOCATION
Key for the location to search in appContext.

See Also:
  - Constant Field Values

### RESOURCE_FILEPATH

static final int RESOURCE_FILEPATH
The location mask which searches in the file system with path.

See Also:
  - Constant Field Values

### RESOURCE_BUNDLE

static final int RESOURCE_BUNDLE
The location mask which searches in the resource bundle.

See Also:
  - Constant Field Values

### RESOURCE_FOLDER

static final int RESOURCE_FOLDER
The location mask which searches in the resource folder.

See Also:
  - Constant Field Values

### RESOURCE_DESIGN

static final int RESOURCE_DESIGN
The location mask which searches the file relative to design.

See Also:
  - Constant Field Values

## Constructor Details

### DefaultResourceLocator

public DefaultResourceLocator()

## Method Details

### findResource

public URL findResource(ModuleHandle moduleHandle, String fileName, int type)

### findResource

public URL findResource(ModuleHandle moduleHandle, String fileName, int type, Map appContext)